Ruby: pm_call_and_write_node Struct Reference

Ruby 3.3.7p123 (2025-01-15 revision be31f993d7fa0219d85f7b3c694d454da4ecc10b)

Data Fields
pm_call_and_write_node Struct Reference

CallAndWriteNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| CallAndWriteNode#receiver.
pm_location_t | call_operator_loc
| CallAndWriteNode#call_operator_loc.
pm_location_t | message_loc
| CallAndWriteNode#message_loc.
pm_constant_id_t | read_name
| CallAndWriteNode#read_name.
pm_constant_id_t | write_name
| CallAndWriteNode#write_name.
pm_location_t | operator_loc
| CallAndWriteNode#operator_loc.
struct pm_node * | value
| CallAndWriteNode#value.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

CallAndWriteNode.

Type: PM_CALL_AND_WRITE_NODE Flags: PM_CALL_NODE_FLAGS_SAFE_NAVIGATION PM_CALL_NODE_FLAGS_VARIABLE_CALL PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE

Definition at line 1456 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_call_and_write_node::base

The embedded base node.

Definition at line 1458 of file ast.h.

## ◆ call_operator_loc

pm_location_t pm_call_and_write_node::call_operator_loc

CallAndWriteNode#call_operator_loc.

Definition at line 1464 of file ast.h.

## ◆ message_loc

pm_location_t pm_call_and_write_node::message_loc

CallAndWriteNode#message_loc.

Definition at line 1467 of file ast.h.

## ◆ operator_loc

pm_location_t pm_call_and_write_node::operator_loc

CallAndWriteNode#operator_loc.

Definition at line 1476 of file ast.h.

## ◆ read_name

pm_constant_id_t pm_call_and_write_node::read_name

CallAndWriteNode#read_name.

Definition at line 1470 of file ast.h.

## ◆ receiver

struct pm_node* pm_call_and_write_node::receiver

CallAndWriteNode#receiver.

Definition at line 1461 of file ast.h.

Referenced by pm_node_destroy().

## ◆ value

struct pm_node* pm_call_and_write_node::value

CallAndWriteNode#value.

Definition at line 1479 of file ast.h.

Referenced by pm_node_destroy().

## ◆ write_name

pm_constant_id_t pm_call_and_write_node::write_name

CallAndWriteNode#write_name.

Definition at line 1473 of file ast.h.

The documentation for this struct was generated from the following file:

- prism/ast.h